{
	"name": "infogram",
	"description": "Le réseau social centré sur l'info",
	"version": "0.1.0",
	"private": true,
	"scripts": {
		"start": "cross-env PORT=8000 react-app-rewired start",
		"build": "react-app-rewired build",
		"serve": "node server/index.js",
		"format": "prettier --write \"**/*.{js,jsx,json}\" && markdown-table-formatter README.md server/filer/README.md",
		"prisma-watch": "npx prisma studio",
		"prisma-generate": "npx prisma generate",
		"prisma-spec": "npx prisma introspect",
		"prisma-migrate": "npx prisma migrate dev --name",
		"prisma-deploy": "npx prisma migrate deploy",
		"prisma-seed": "node prisma/script.js",
		"prisma-build": "npm run prisma-generate && npm run prisma-migrate build && npm run prisma-deploy"
	},
	"proxy": "http://localhost:3000",
	"eslintConfig": {
		"extends": [
			"react-app",
			"react-app/jest"
		]
	},
	"browserslist": {
		"production": [
			">0.2%",
			"not dead",
			"not op_mini all"
		],
		"development": [
			"last 1 chrome version",
			"last 1 firefox version",
			"last 1 safari version"
		]
	},
	"dependencies": {
		"@prisma/client": "^2.22.0",
		"argon2": "^0.27.2",
		"axios": "^0.21.1",
		"cookie-parser": "^1.4.5",
		"dotenv": "^8.2.0",
		"express": "^4.17.1",
		"express-fileupload": "^1.2.1",
		"fs-extra": "^9.1.0",
		"jsonwebtoken": "^8.5.1",
		"jwt-decode": "^3.1.2",
		"luxon": "^1.26.0",
		"path": "^0.12.7",
		"prettier": "^2.2.1"
	},
	"devDependencies": {
		"@date-io/date-fns": "^1.3.13",
		"@date-io/luxon": "^1.3.13",
		"@material-ui/core": "^4.11.4",
		"@material-ui/icons": "^4.11.2",
		"@material-ui/lab": "^4.0.0-alpha.58",
		"@material-ui/pickers": "^3.3.10",
		"clsx": "^1.1.1",
		"cors": "^2.8.5",
		"cross-env": "^7.0.3",
		"markdown-table-formatter": "^1.1.0",
		"prisma": "^2.22.0",
		"react": "^17.0.2",
		"react-app-rewire-alias": "^1.0.3",
		"react-app-rewired": "^2.1.8",
		"react-cookie": "^4.0.3",
		"react-dom": "^17.0.2",
		"react-router-dom": "^5.2.0",
		"react-scripts": "^4.0.3",
		"webpack-cli": "^4.7.0"
	}
}
